<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <base data-ice="baseUrl" href="../../">
  <title data-ice="title">scripts/live.js | text-io-simulator</title>
  <link type="text/css" rel="stylesheet" href="css/style.css">
  <link type="text/css" rel="stylesheet" href="css/prettify-tomorrow.css">
  <script src="script/prettify/prettify.js"></script>
  <script src="script/manual.js"></script>
<meta name="description" content="Designed for simulating HP CodeWars input files and testing output, also has a version that can handle live input without modifing code."><meta property="twitter:card" content="summary"><meta property="twitter:title" content="text-io-simulator"><meta property="twitter:description" content="Designed for simulating HP CodeWars input files and testing output, also has a version that can handle live input without modifing code."></head>
<body class="layout-container" data-ice="rootContainer">

<header>
  <a href="./">Home</a>
  
  <a href="identifiers.html">Reference</a>
  <a href="source.html">Source</a>
  
  <div class="search-box">
  <span>
    <img src="./image/search.png">
    <span class="search-input-edge"></span><input class="search-input"><span class="search-input-edge"></span>
  </span>
    <ul class="search-result"></ul>
  </div>
<a href="https://gitlab.com/mr.code-joshua-cline/text-io-simulator.git">Repository</a></header>

<nav class="navigation" data-ice="nav"><div>
  <ul>
    
  </ul>
</div>
</nav>

<div class="content" data-ice="content"><h1 data-ice="title">scripts/live.js</h1>
<pre class="source-code line-number raw-source-code"><code class="prettyprint linenums" data-ice="content">/**
 * This is the LIVE textIOWrapper.
 * It will handle the actual data IO.
 * It is still in progress
 * It should be included in-line with any sent files.
 * @class
 * @in-progress
 */
class textIOWrapper{
  constructor(){
    /**
     * How many lines have been read.
     * @public
     * @type {number}
     * @readonly
     */
    this.linesRead = 0;
    /**
     * How many lines have been sent.
     * @public
     * @type {number}
     * @readonly
     */
    this.__linesSent = 0;
    /**
     * Options for the wrapper
     * @public
     * @type {Object}
     * @prop {number} marginOfError The acceptable margin of error. (Will still display warnings)
     * @prop {boolean} isDevelopment If the current wrapper is development or live.
     */
    this.options = options || {};
    this.options.marginOfError || 0;
    this.options.isDevelopment = false;
  }
  /**
   * Gets a line of input.
   * @return {String} The line of input.
   */
  getLine(){

  }
  /**
   * Prints a line of output.
   * @param {String} outputString - A line of output.
   */
  sendLine(outputString){

  }
}
</code></pre>

</div>

<footer class="footer">
  Generated by <a href="https://esdoc.org">ESDoc<span data-ice="esdocVersion">(1.1.0)</span><img src="./image/esdoc-logo-mini-black.png"></a>
</footer>

<script src="script/search_index.js"></script>
<script src="script/search.js"></script>
<script src="script/pretty-print.js"></script>
<script src="script/inherited-summary.js"></script>
<script src="script/test-summary.js"></script>
<script src="script/inner-link.js"></script>
<script src="script/patch-for-local.js"></script>
</body>
</html>
